com.fasterxml.jackson.databind.ser.std

## Class NumberSerializers

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.std.NumberSerializers

    public class NumberSerializers
    extends Object

Container class for serializers used for handling standard JDK-provided primitve number types and their wrapper counterparts (like `Integer`).

### Nested Class Summary

Nested Classes
`static class` `NumberSerializers.Base<T>` Shared base class for actual primitive/wrapper number serializers.
`static class` `NumberSerializers.DoubleSerializer` This is the special serializer for regular `Double`s (and primitive doubles)
`static class` `NumberSerializers.FloatSerializer`
`static class` `NumberSerializers.IntegerSerializer` This is the special serializer for regular `Integer`s (and primitive ints)
`static class` `NumberSerializers.IntLikeSerializer` Similar to `NumberSerializers.IntegerSerializer`, but will not cast to Integer: instead, cast is to `Number`, and conversion is by calling `Number.intValue()`.
`static class` `NumberSerializers.LongSerializer`
`static class` `NumberSerializers.ShortSerializer`

### Constructor Summary

Constructors
`protected` `NumberSerializers()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addAll(Map<String,JsonSerializer<?>> allDeserializers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NumberSerializers

    protected NumberSerializers()

### Method Detail

#### addAll

    public static void addAll(Map<String,JsonSerializer<?>> allDeserializers)